{% set idmap = id|default('mapid') %}
<script type="text/javascript">
	$(function () {
	  $('[data-toggle="tooltip"]').tooltip()
	  if ($('#{{idmap}}').length) {
	  	var mymap = L.map('{{idmap}}').setView({{KOH_MAP_CENTER}}, {{KOH_MAP_ZOOM}});

		L.tileLayer('https://{s}.tile.openstreetmap.fr/osmfr/{z}/{x}/{y}.png', {maxZoom: 18, attribution: '&copy; Openstreetmap France | &copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'}).addTo(mymap);

		{# AJOUTER LES MARQUEURS SUR LA CARTE #}
		{% set comptoirs = getAllComptoirs() %}
		{% set count = 1 %}
		{% for comptoir in comptoirs %}
			{% if comptoir.geoloc != null and comptoir.geoloc.lat != null and comptoir.geoloc.lon != null%}
				var marker_{{count}} = L.marker([{{comptoir.geoloc.lat}}, {{comptoir.geoloc.lon}}]).addTo(mymap);
	            marker_{{count}}.bindPopup("{% spaceless %}{% if comptoir.media != null %}{% set media %}{% thumbnail comptoir.media, 'small' %}{% endset %} {{ media|raw|replace({'"' : "'"})|raw }}<br/><br/>{% endif %}
	            	<a href='{{ path('show_comptoir', {'slug': comptoir.slug}) }}'>
	            	<strong>{{comptoir.__toString()}}</strong>
	            	<br/>{% endspaceless %}");
	            {% set count = count+1 %}
	        {% endif %}
		{% endfor %}
	  }
	})
</script>
